Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- File List
- Globals

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Namespaces | Constant Groups
FieldCacheImpl.h File Reference
`#include "FieldCache.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::FieldCacheImpl
| The default cache implementation, storing all values in memory. A WeakHashMap is used for storage. More...
class | Lucene::Entry
class | Lucene::Cache
| Internal cache. More...
class | Lucene::ByteCache
class | Lucene::IntCache
class | Lucene::LongCache
class | Lucene::DoubleCache
class | Lucene::StringCache
class | Lucene::StringIndexCache
class | Lucene::FieldCacheEntryImpl

## Namespaces

| Lucene

## Constant Groups

| Lucene

clucene.sourceforge.net